<template>
  <div class="box">
    <ul>
      <li
        style="margin-left: 20px"
        @click="changeOrietnt(item)"
        v-for="item in itemsOne"
      >
        <div class="divli">
          <div :class="item.class" class="backimge6"></div>
        </div>
        <div class="div_li">{{ $t(item.name) }}</div>
      </li>
    </ul>
  </div>
</template>

<script>
export default {
  data() {
    return {
      itemsOne: [
        {
          id: '1',
          name: 'synthesis.gpsrtk',
          class: 'f1',
        },
        {
          id: '2',
          name: 'synthesis.placenamelocation',
          class: 'f2',
        },
      ],
    };
  },
  created() {
    var cover_Id = this.$store.state.syntiesis.menu;
    var cover_perms = this.$store.state.permsEntity;

    for (var i = 0; i < cover_perms.length; i++) {
      if (cover_perms[i].pid == cover_Id) {
        this.showViewMenu(cover_perms[i]);
      }
    }
  },
  methods: {
    showViewMenu(res) {
      if (res.cnName != '定位') return;
      console.log('定位', res.tag);
    },
    changeOrietnt(res) {
      var val = {
        name: 'Coord',
        id: res.id,
      };
      this.$bus.$emit('mapChangeBox', val);
    },
  },
};
</script>

<style>
.box {
  width: 100%;
  height: 100%;
  position: relative;
}
.box li {
  list-style: none;
  float: left;
  height: 60px;
  text-align: center;
  margin: 2px;
  position: relative;
  cursor: pointer;
  margin-top: 5px;
}
.box ul {
  margin: 0px;
}
.f1 {
  background: url('../../assets/img/synthesis/图层 27.png') no-repeat center;
}
.f2 {
  background: url('../../assets/img/synthesis/图层 28.png') no-repeat center;
}
.backimge6 {
  width: 30px;
  height: 30px;
  margin-left: 25px;
  position: absolute;
  background-size: 100% 100%;
  margin: 0% 35%;
}
.divli {
  width: 100%;
  height: 50%;
  position: relative;
}
</style>
